﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PhoneAppTouchDraw
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Size of drawing brush
        private double drawingSize = 50;

        // Random number generator
        private Random random = new Random();


        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Register for touch events
            Touch.FrameReported += new TouchFrameEventHandler(Touch_FrameReported);

            // Disable the frame rate counter (tiny numbers on the right side of the screen)
            Application.Current.Host.Settings.EnableFrameRateCounter = false;
        }


        void Touch_FrameReported(object sender, TouchFrameEventArgs e)
        {
            // Get all current touch points
            TouchPointCollection tpc = e.GetTouchPoints(this.canvas);

            // For each current touch point, do...
            foreach (TouchPoint tp in tpc)
            {
                // ...create a new ellipse, assign a random color, and set the default drawing size
                Ellipse ellipse = new Ellipse();
                ellipse.Fill = new SolidColorBrush(this.GetRandomColour());
                ellipse.Height = drawingSize;
                ellipse.Width = drawingSize;

                // ... then add this ellipse to the canvas as a visual element
                this.canvas.Children.Add(ellipse);

                // ... and set the position (left/top)
                ellipse.SetValue(Canvas.LeftProperty, (double)(tp.Position.X - drawingSize / 2.0));
                ellipse.SetValue(Canvas.TopProperty, (double)(tp.Position.Y - drawingSize / 2.0));
            }
        }


        // Get a random color
        private Color GetRandomColour()
        {
            return Color.FromArgb(
                (byte)255, 
                (byte)this.random.Next(255), 
                (byte)this.random.Next(255), 
                (byte)this.random.Next(255));
        }
    }
}